/**
 * @file
 */

(function ($, Drupal, drupalSettings) {
  'use strict';

  Drupal.behaviors.optional_end_month_year_range = {
    attach: function (context, settings) {
      if ($('input.no-end-date-form-checkbox').length) {
        $("input.no-end-date-form-checkbox", context).each(function (index) {
          if ($(this).is(':checked')) {
            $(this).parent().parent().find('.end-value-wrapper').hide();
          }
        });
      }
      $("input.no-end-date-form-checkbox", context).on("click", function () {
        if ($(this).is(':checked')) {
          $(this).parent().parent().find('.end-value-wrapper').hide();
          $(this).parent().parent().find('.end-value-wrapper select').prop("selectedIndex", 0);
        }
        else {
          $(this).parent().parent().find('.end-value-wrapper').show();
        }
      });
    }
  };
})(jQuery, Drupal, drupalSettings);
